#ifndef CURSORTIME_DB_H
#define CURSORTIME_DB_H
/*lint ++flb */

/* Raima Database Manager 12.0.0.1000 */

/* ----------------------------------------------------------------------------
 *
 * Raima Database Manager
 *
 * Copyright (c) 2012 Raima Inc.,  All rights reserved.
 *
 * Use of this software, whether in source code format, or in executable,
 * binary object code form, is governed by the Raima LICENSE which
 * is fully described in the LICENSE.TXT file, included within this
 * distribution of files.
 *
 * ----------------------------------------------------------------------------
 */

/* EXAMPLE - Time Datatype for C using Cursors */
/* This is the DDL (Database Definition Language) for a single field,
 * single record-type database. The one record type is called TimeRecord,
 * and it's one field, timeCol, can store a time. The program
 * will create a new record containing a time in the field, then
 * it will read through all records in the database and print their
 * contents.
 */

/* database CursorTime_db record/key structure declarations */

struct TimeRecord {
   TIME_VAL timeCol;
};

/* record, field and set table entry definitions */

/* File Id Constants */

/* Record Name Constants */
#define TIMERECORD 10000

/* Field Name Constants */
#define TIMECOL 0L

/* Set Name Constants */

/* Field Sizes */
#define SIZEOF_TIMECOL 4

/*lint --flb */
#endif    /* CURSORTIME_DB_H */
